class Coord3D {
	int mX;
	int mY;
	int mZ;
	//
	Coord3D(int xcoord, int ycoord, int zcoord) {
		mX = xcoord;
		mY = ycoord;
		mZ = zcoord;
	}
	Coord3D() {
		mX = 0;
		mY = 0;
		mZ = 0;
	}
	@Override
	public String toString() {
		return "x = " + mX + "(" + (mX>>Camera.PRECISION_LOG2) +
				"), y = " + mY + "(" + (mY>>Camera.PRECISION_LOG2) +
				"), z = " + mZ + "(" + (mZ>>Camera.PRECISION_LOG2) + ")";
	}
	final void copyFrom(final Coord3D coord) {
		mX = coord.mX;
		mY = coord.mY;
		mZ = coord.mZ;
	}
	final void exchange(Coord3D coord) {
		int t = coord.mX;
		coord.mX = mX;
		mX = t;
		t = coord.mY;
		coord.mY = mY;
		mY = t;
		t = coord.mZ;
		coord.mZ = mZ;
		mZ = t;
	}
	/*
	static void exchange(Coord3D coord1, Coord3D coord2) {
		int t = coord1.x;
		coord1.x = coord2.x;
		coord2.x = t;
		t = coord1.y;
		coord1.y = coord2.y;
		coord2.y = t;
		t = coord1.z;
		coord1.z = coord2.z;
		coord2.z = t;
	}
	*/
}